P4_PARSE(3)

NAME
p4_parse - PARSE ( delim-char# -- buffer-ptr buffer-len ) [ANS]

SYNOPSIS

#include <pfe/core-ext.h>

FCode p4_parse(---);

DESCRIPTION

parse a piece of input (not much unlike WORD) and place it into the given buffer. The difference with word is also that WORD would first skip any delim-char while PARSE does not and thus may yield that one. In a newer version, PARSE will not copy but just return the word-span being seen in the input-buffer - therefore a transient space.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>